Subject: Re: [PATCH v2 07/11] omap: remove old hsmmc.[ch] and in Makefile

From: Tony Lindgren <[email-masked]>
Date: Mon, 21 Oct 2019 10:11:04 -0700

* H. Nikolaus Schaller <[email-masked]> [191021 17:08]:
> 
> > Am 21.10.2019 um 16:30 schrieb Tony Lindgren <[email-masked]>:
> > 
> > * H. Nikolaus Schaller <[email-masked]> [191019 18:43]:
> >> --- a/arch/arm/mach-omap2/Makefile
> >> +++ b/arch/arm/mach-omap2/Makefile
> >> @@ -216,7 +216,6 @@ obj-$(CONFIG_MACH_NOKIA_N8X0)		+= board-n8x0.o
> >> 
> >> # Platform specific device init code
> >> 
> >> -omap-hsmmc-$(CONFIG_MMC_OMAP_HS)	:= hsmmc.o
> >> obj-y					+= $(omap-hsmmc-m) $(omap-hsmmc-y)
> > 
> > The related obj-y line can go now too, right?
> 
> Yes, I think so. It is a construction that I have never seen before :)
> Therefore I did not recognize that it is related.
> 
> > And looks like common.h also has struct omap2_hsmmc_info
> > so maybe check by grepping for hsmmc_info to see it's gone.
> 
> Yes, it is just a forward-declaration of the struct name with
> no user anywhere.
> 
> Scheduled for v3.
> 
> BTW: should this series go through your tree since it is an
> omap machine?

Or MMC tree as that's where the code change really are.

Regards,

Tony